import { Meta, Preview, Props, Description, Story } from "@storybook/addon-docs/blocks";
import {ImageRenderer} from "./ImageRenderer";
import {SAMPLE_PNG_IMAGE} from "./fixtures/base64pngimage";

<Meta title="MDX|ImageRenderer" component={ImageRenderer} />

# Counter component

<Description of={ImageRenderer} />

# Props

<Props of={ImageRenderer} />


# Usage
<Preview withSource>
  <Story name="basic example">
    <ImageRenderer
      attachment={{
          type:'image/png',
          data: SAMPLE_PNG_IMAGE
      }}
    />
  </Story>
</Preview>
